<?php 
function periodo($mes,$anio){
	$fecha = array();
	switch($mes){
		case 'ENERO':
			$fecha['finicial'] = $anio.'-01-03';
			$fecha['ffinal'] = $anio.'-02-02';
		break;
		case 'FEBRERO':
			$fecha['finicial'] = $anio.'-02-03';
			$fecha['ffinal'] = $anio.'-03-02';
		break;
		case 'MARZO':
			$fecha['finicial'] = $anio.'-03-03';
			$fecha['ffinal'] = $anio.'-04-02';
		break;
		case 'ABRIL':
			$fecha['finicial'] = $anio.'-04-03';
			$fecha['ffinal'] = $anio.'-05-02';
		break;
		case 'MAYO':
			$fecha['finicial'] = $anio.'-05-03';
			$fecha['ffinal'] = $anio.'-06-02';
		break;
		case 'JUNIO':
			$fecha['finicial'] = $anio.'-06-03';
			$fecha['ffinal'] = $anio.'-07-02';
		break;
		case 'JULIO':
			$fecha['finicial'] = $anio.'-07-03';
			$fecha['ffinal'] = $anio.'-08-02';
		break;
		case 'AGOSTO':
			$fecha['finicial'] = $anio.'-08-03';
			$fecha['ffinal'] = $anio.'-09-02';
		break;
		case 'SEPTIEMBRE':
			$fecha['finicial'] = $anio.'-09-03';
			$fecha['ffinal'] = $anio.'-10-02';
		break;
		case 'OCTUBRE':
			$fecha['finicial'] = $anio.'-10-03';
			$fecha['ffinal'] = $anio.'-11-02';
		break;
		case 'NOVIEMBRE':
			$fecha['finicial'] = $anio.'-11-03';
			$fecha['ffinal'] = $anio.'-12-02';
		break;
		case 'DICIEMBRE':
			$fecha['finicial'] = $anio.'-12-03';
			$fecha['ffinal'] = ($anio+1).'-01-02';
		break;
	}
	
	return $fecha;
}

function initials($str) {
    $ret = '';
    foreach (explode(' ', $str) as $word)
        $ret .= strtoupper($word[0]);
    return $ret;
}

function groupArray($array,$groupkey)
{
 if (count($array)>0)
 {
 	$keys = array_keys($array[0]);
 	$removekey = array_search($groupkey, $keys);		if ($removekey===false)
 		return array("Clave \"$groupkey\" no existe");
 	else
 		unset($keys[$removekey]);
 	$groupcriteria = array();
 	$return=array();
 	foreach($array as $value)
 	{
 		$item=null;
 		foreach ($keys as $key)
 		{
 			$item[$key] = $value[$key];
 		}
 	 	$busca = array_search($value[$groupkey], $groupcriteria);
 		if ($busca === false)
 		{
 			$groupcriteria[]=$value[$groupkey];
 			$return[]=array($groupkey=>$value[$groupkey],'groupeddata'=>array());
 			$busca=count($return)-1;
 		}
 		$return[$busca]['groupeddata'][]=$item;
 	}
 	return $return;
 }
 else
 	return array();
}

function diferenciaDias($fechaSalida, $fechaSalidaPrematura){
 
  $datetime1 = date_create($fechaSalida);
  $datetime2 = date_create($fechaSalidaPrematura);
  $contador = date_diff($datetime1, $datetime2);
  $differenceFormat = '%a';
  return $contador->format($differenceFormat);
  
}


?>